<?php
	/*
	* Модуль почты для JohnCMS 3.2.2 v2.6
	* Copyright © 2010-2011 UPcoder.RU Group All Rights Reserved.
	* Coding by Krite 2010-2011
	*/
	defined('_IN_JOHNCMS') or die('Error: restricted access');
	$textl = 'Добавление контактов';
	$headmod = 'pochta';
	require_once('../incfiles/head.php');
	echo '<div class="phdr"><h3>Добавление контакта</h3></div>';
		if(mysql_result(mysql_query('SELECT COUNT(*) FROM `users` WHERE `id` = ' . $id), 0)==0){
			echo '<div class="rmenu">Пользователя не существует!</div>';
		} else {
			if($id != $user_id) {
				if(mysql_result(mysql_query('SELECT COUNT(*) FROM `mail_konts` WHERE `id_user` = ' . $user_id . ' AND `id_kont`=' . $id . ''), 0)==0){
					mysql_query("INSERT INTO `mail_konts` SET
					`id_user`='$user_id',
					`id_kont`='$id',
					`time`='$realtime'");
					$text = '[url='.$home.'/str/anketa.php?id='.$user_id.']'.$login.'[/url]';
					$site = '[url=http://upcoder.ru/]UPcoder.Ru[/url]';
					mysql_query("INSERT INTO `mail_msg` SET
					`id_kont`='" . $id . "',
					`tema`='Добавление в контакты',
					`msg`='Пользователь, $text добавил Вас в контакты\r\nСлужба информации $site!',
					`time`='$realtime',
					`sys`='2'");
					echo '<div class="menu">Пользователь добавлен в контакт лист</div>';
				}
				else {
					mysql_query("UPDATE `users` SET
					`type` = '1'
					WHERE `id_user` = '" . $user_id . "' AND `id_kont`='" . $id . "' LIMIT 1");
					echo '<div class="menu">Пользователь добавлен в контакт лист</div>';
				}
			}
			else {
				echo '<div class="rmenu">Себя нельзя добавить в контакт лист</div>';
			}
		}
		echo '<div class="menu"><a href="'.$home.'/pochta/">Назад</a></div>';
?>